function urlBuilder(realmId, object, query = null) {
  return `https://${
    process.env.NODE_ENV === "production" ? "" : "sandbox-"
  }quickbooks.api.intuit.com/v3/company/${realmId}/${object}?minorversion=75${query ? `&query=${encodeURIComponent(query)}` : ""}`;
}

function StandardizeName(str) {
  return str.replace(new RegExp(/'/g), "\\'").trim();
}

exports.urlBuilder = urlBuilder;
exports.StandardizeName = StandardizeName;
exports.callback = require("./qbo-callback").default;
exports.authorize = require("./qbo-authorize").default;
exports.refresh = require("./qbo-callback").refresh;
exports.receivables = require("./qbo-receivables").default;
exports.payables = require("./qbo-payables").default;
exports.payments = require("./qbo-payments").default;
